require_relative 'application_dependencies'

Bundler.require(:web_server)
Bundler.require(:clients)

if File.exist? '/etc/cloudpercept-dev.marker'
  Bundler.require(:development)
end

require 'cht-svc-gdas'

Dir[File.join(__dir__, 'initializers', '*.rb')].sort.map { |f| f[0..-4] }.each { |f| require f }

ActiveSupport::Dependencies.autoload_paths << File.expand_path('../app', __dir__)

# Load the models in advance.
Dir.glob("#{File.expand_path('../app/models', __dir__)}/**/*.rb").sort.each do |entry|
  require_dependency "#{entry}"
end

Bundler.require(:framework)

Dir[File.join(__dir__, 'framework', '*.rb')].sort.map { |f| f[0..-4] }.each { |f| require f }

require_relative 'force_load'
require 'gdas/assets/generic_derived_asset_scanner/registry'
require 'gdas/clouds/aws'
require 'gdas/collection/aws_derived_collector'
require 'gdas/assets'
