# TODO: convert `kafka_topic` to framework config instead of class attr
prefix = ''
if ENV['KAFKA_TOPIC_PREFIX']
  prefix = ENV['KAFKA_TOPIC_PREFIX'] + '.'
end

CloudHealth::Collection::Dispatcher.asset_worker = ::Gdas::Workers::ProcessingAssetsWorker
CloudHealth::Collection::Dispatcher.account_attr = :ch_account_id
CloudHealth::Collection::Dispatcher.processing_job_name = "#{prefix}com.cloudhealthtech.int.aws.processing_assets_aws"
CloudHealth::Collection::Task.account_attr = :ch_account_id
CloudHealth::Collection::Task.dispatcher = ::CloudHealth::Collection::Dispatcher
# The unique_context_args are used for collection job locking, each is optional, so only enforced if present in the context
# Customer and account ID should be on every job, region and chunk_id are often used when collection jobs are
# triggered by a processing job
CloudHealth::Collection::Task.unique_context_args =['customer_id', 'ch_account_id','region', 'chunk_id']

runtime = ImportRegistry.resolve('runtime')
logger = ImportRegistry.resolve('logger')
if runtime.disable_s3?
  logger.warn 'Collection/Processing S3 payload redirection disabled.'
else
  # Used by minikube and production k8s
  buckets_config_file = ENV['BUCKETS_CONFIG_FILE'] || './buckets.yml.erb'
  str = File.read buckets_config_file
  yml = ERB.new(str).result
  if YAML.load(yml)['buckets'].blank?
    raise "Collection framework: No buckets found #{buckets_config_file}"
  end

  CloudHealth::Collection::Dispatcher.s3_buckets = []

  YAML.load(yml)['buckets'].each do |b|
    logger.warn "Collection framework registering S3 Bucket: #{b}"
    CloudHealth::Collection::Dispatcher.s3_buckets << [b['name'], b['region']]
  end
end
