require 'logging'

Logging.color_scheme(
  'bright',
  levels: {
    info: :green,
    warn: :yellow,
    error: :red,
    fatal: [:white, :on_red]
  },
  date: :blue,
  logger: :cyan,
  message: :magenta
)

# unless ENV['LOG_LEVEL']
#   case ENV['RACK_ENV']
#     when 'production'  then ENV['LOG_LEVEL'] = 'error'
#     when 'development' then ENV['LOG_LEVEL'] = 'debug'
#   end
# end

class ImportRegistry
  register 'logger' do
    @log ||= if ENV['RACK_ENV'] == 'test'
               if ENV['LOG_LEVEL']
                 Logging.logger(STDOUT, pattern: '%p:%t [%d] %-5l %c: %m %x{, }\n', color_scheme: 'bright').tap do |log|
                   log.level = ENV['LOG_LEVEL']
                 end
               else
                 Logging::Logger['rspec'].tap { |log| log.level = 'off' }
               end
             else
               Logging.logger(STDOUT, pattern: '[%p:%t:%X{customer_id}:%X{aws_account_id}] [%d] %-5l %c: %m %x{, }\n', color_scheme: 'bright').tap do |log|
                 log.level = (ENV['LOG_LEVEL'] || 'debug').to_sym

                 # TODO: Remove when https://github.com/TwP/logging/issues/169 is fixed
                 log.appenders[0].layout.instance_variable_set(:@color_scheme, 'bright')
               end
             end
  end
end
