# frozen_string_literal: true
require "active_record"
require "multidb"
require "cht-lib-fabric/extensions/multidb"
require "erb"
require "yaml"
require 'ar-ondemand'

# Used by minikube and production k8s
mysql_config_file = ENV['MYSQL_CONFIG_FILE'] || './database.yml.erb'

str = File.read mysql_config_file
yml = ERB.new(str).result
env = ENV['TDDIUM'] ? 'tddium' : ENV['RACK_ENV']
spec = begin
  YAML.load(yml)[env]
rescue Psych::SyntaxError
  puts "Syntax error for content of #{mysql_config_file}:"
  puts '*' * 32
  puts yml
  puts '*' * 32
  raise
end

ActiveRecord::Base.establish_connection spec

ActiveRecord::LogSubscriber.send(:include, Multidb::LogSubscriber)
