class ImportRegistry
  register 's3_access' do
    @s3_access ||= begin
      runtime = ImportRegistry.resolve('runtime')
      logger = ImportRegistry.resolve('logger')
      gzip = ImportRegistry.resolve('gzip')
      if runtime.sandbox?
        require 'cht-lib-fabric/mocks/s3_access'
        Platform::Mocks::S3Access.new(logger, gzip)
      else
        require 'cht-lib-fabric/clients/s3_access'
        Platform::Clients::S3Access.new(logger, gzip)
      end
    end
  end
end
