# frozen_string_literal: true

class ImportRegistry
  namespace 'gdas' do
    register('s3_csv_stream_filterer', memoize: true) do
      # This path can be overridden by running this in the shell:
      # export S3_STREAM_FILTER_JAR_PATH="/Users/corbanmailloux/Projects/cht-fast-cube-engine/target/filter-1.1.jar"
      JAR_PATH = ENV['S3_STREAM_FILTER_JAR_PATH'] || '/usr/src/app/lib/s3_stream_filter.jar'
      require JAR_PATH

      ::Java.com.cloudhealthtech.streamfilter.EmbeddedStreamFilter
    end
  end
end
