#
# This file defines the default dimension-level token limits for each dimension.
# These are passed to the token manager when initialized.
#
# NOTE: This a default cap for _each_ member in that dimension, not for the dimension as a whole
#
# Setting these to a high number so we won't actually hit any limits initially, we'll determine reasonable
# limits after doing some analysis on the running system.
#
# Currently, G-DAS only limits jobs on customer_id dimension.

DEFAULT_DIMENSION_CAPS = { 'customer_id' => 50 }

# Use MEMBER_CAPS to define MEMBER specific limits. For example, if we want to limit the service RDS to
# 1000 tokens, and limit db76 to 250 tokens, we would set:
# MEMBER_CAPS = {
#     'service' => {'rds' => 1000},
#     'asset_db_shard' => {'db76' => 250}
# }

MEMBER_CAPS = {
  'customer_id' => {3777 => 300, 16160 => 300}
}

# Adding Global Cap here as well, will initialize token_manager with this.
# Currently, since G-DAS only uses customer_id, match that token limit.
GLOBAL_DEFAULT_TOKEN_CAP = 35
